/*
 * host_ieee1905_utils.h - host header file that have cmdu dependencies on ieee1905
 *
 * Copyright (C) 2022 IOPSYS Software Solutions AB. All rights reserved.
 *
 * Author: nevadita.chatterjee@iopsys.eu
 *
 */
#ifndef HOSTD_CMDU_UTIL_H
#define HOSTD_CMDU_UTIL_H

int topology_update_client_assoc_event(struct topologyd_private *priv,
                struct tlv_client_assoc_event *assoc);
int topology_update_host_assoc_client(struct topologyd_private *priv,
                struct tlv_assoc_client *p);
void host_get_ieee1905_info(struct topologyd_private *priv);
void ieee1905_info_parser(struct ubus_request *req, int type, struct blob_attr *msg);
void host_ieee1905_call(struct topologyd_private *priv);
#endif
